import { flags } from '@oclif/command';
export declare const defaultFlags: {
    cluster: flags.IOptionFlag<string | undefined>;
    region: flags.IOptionFlag<string>;
    taskDefinition: flags.IOptionFlag<string>;
};
export interface ICommonArguments {
    taskDefinition: string;
    region: string;
    cluster?: string;
}
export interface IRunTaskArguments extends ICommonArguments {
    memoryReservation?: number;
    command: string[];
}
export interface ISetConfigArguments extends ICommonArguments {
    key: string;
    value: string;
}
export interface IUpdateTaskDefinitionArguments extends ICommonArguments {
    tag?: string;
}
