import { Command, flags } from '@oclif/command';
export default class Logs extends Command {
    static description: string;
    static examples: string[];
    static flags: {
        containerName: flags.IOptionFlag<string | undefined>;
        endTime: flags.IOptionFlag<string | undefined>;
        follow: {
            name: string;
            char?: "a" | "b" | "c" | "d" | "e" | "f" | "g" | "h" | "i" | "j" | "k" | "l" | "m" | "n" | "o" | "p" | "q" | "r" | "s" | "t" | "u" | "v" | "x" | "y" | "z" | "A" | "B" | "C" | "D" | "E" | "F" | "G" | "H" | "I" | "J" | "K" | "L" | "M" | "N" | "O" | "P" | "Q" | "R" | "S" | "T" | "U" | "V" | "X" | "Y" | "Z" | undefined;
            description?: string | undefined;
            hidden?: boolean | undefined;
            required?: boolean | undefined;
            dependsOn?: string[] | undefined;
            env?: string | undefined;
            parse(input: boolean, context: any): boolean;
        } & {
            type: "boolean";
            allowNo: boolean;
        };
        groupName: flags.IOptionFlag<string>;
        startTime: flags.IOptionFlag<string | undefined>;
        cluster: flags.IOptionFlag<string | undefined>;
        region: flags.IOptionFlag<string>;
        taskDefinition: flags.IOptionFlag<string>;
    };
    static args: {
        name: string;
        required: boolean;
    }[];
    run(): Promise<void>;
}
