import { Command, flags } from '@oclif/command';
export default class RunTask extends Command {
    static description: string;
    static flags: {
        memoryReservation: flags.IOptionFlag<string | undefined>;
        cluster: flags.IOptionFlag<string | undefined>;
        region: flags.IOptionFlag<string>;
        taskDefinition: flags.IOptionFlag<string>;
    };
    static args: {
        name: string;
    }[];
    run(): Promise<void>;
}
